diff --git a/include/configs/am3517_crane.h b/include/configs/am3517_crane.h
index 71321f3..f58fede 100644
--- a/include/configs/am3517_crane.h
+++ b/include/configs/am3517_crane.h
@@ -26,16 +26,21 @@
 #define __CONFIG_H
 
 /*
- * High Level Configuration Options
+ * Values that differ from platform defaults or are unspecified.
  */
-#define CONFIG_OMAP		1	/* in a TI OMAP core */
-#define CONFIG_OMAP34XX		1	/* which is a 34XX */
-#define CONFIG_OMAP3_AM3517CRANE	1	/* working with CRANEBOARD */
+#define CONFIG_EMIF4			/* The chip has EMIF4 controller */
 
-#define CONFIG_EMIF4	/* The chip has EMIF4 controller */
+/* Platform defaults */
+#include <configs/omap3_common.h>
 
-#include <asm/arch/cpu.h>		/* get chip and board defs */
-#include <asm/arch/omap3.h>
+/*
+ * Override the common platform file choices.
+ */
+
+/*
+ * Other configuration options
+ */
+#define CONFIG_OMAP3_AM3517CRANE	/* working with CRANEBOARD */
 
 /*
  * Display CPU and Board information
diff --git a/include/configs/am3517_evm.h b/include/configs/am3517_evm.h
index bbd19de..d24ad01 100644
--- a/include/configs/am3517_evm.h
+++ b/include/configs/am3517_evm.h
@@ -26,16 +26,22 @@
 #define __CONFIG_H
 
 /*
- * High Level Configuration Options
+ * Values that differ from platform defaults or are unspecified.
  */
-#define CONFIG_OMAP		1	/* in a TI OMAP core */
-#define CONFIG_OMAP34XX		1	/* which is a 34XX */
-#define CONFIG_OMAP3_AM3517EVM	1	/* working with AM3517EVM */
+#define CONFIG_EMIF4			/* The chip has EMIF4 controller */
 
-#define CONFIG_EMIF4	/* The chip has EMIF4 controller */
+/* Platform defaults */
+#include <configs/omap3_common.h>
+
+/*
+ * Override the common platform file choices.
+ */
+
+/*
+ * Other configuration options
+ */
+#define CONFIG_OMAP3_AM3517EVM		/* working with AM3517EVM */
 
-#include <asm/arch/cpu.h>		/* get chip and board defs */
-#include <asm/arch/omap3.h>
 
 /*
  * Display CPU and Board information
diff --git a/include/configs/cm_t35.h b/include/configs/cm_t35.h
index fe91c10..fe214eb 100644
--- a/include/configs/cm_t35.h
+++ b/include/configs/cm_t35.h
@@ -33,18 +33,24 @@
 #define __CONFIG_H
 
 /*
- * High Level Configuration Options
+ * Values that differ from platform defaults or are unspecified.
  */
-#define CONFIG_OMAP	/* in a TI OMAP core */
-#define CONFIG_OMAP34XX	/* which is a 34XX */
-#define CONFIG_CM_T3X	/* working with CM-T35 and CM-T3730 */
+#define CONFIG_SDRC			/* The chip has SDRC controller */
 
-#define CONFIG_SYS_TEXT_BASE	0x80008000
+/* Platform defaults */
+#include <configs/omap3_common.h>
+
+/*
+ * Override the common platform file choices.
+ */
 
-#define CONFIG_SDRC	/* The chip has SDRC controller */
+/*
+ * Other configuration options
+ */
+#define CONFIG_CM_T3X		/* working with CM-T35 and CM-T3730 */
+
+#define CONFIG_SYS_TEXT_BASE	0x80008000
 
-#include <asm/arch/cpu.h>		/* get chip and board defs */
-#include <asm/arch/omap3.h>
 
 /*
  * Display CPU and Board information
diff --git a/include/configs/devkit8000.h b/include/configs/devkit8000.h
index 2b6a6ee..f1ece51 100644
--- a/include/configs/devkit8000.h
+++ b/include/configs/devkit8000.h
@@ -31,10 +31,22 @@
 #ifndef __CONFIG_H
 #define __CONFIG_H
 
-/* High Level Configuration Options */
-#define CONFIG_OMAP		1	/* in a TI OMAP core */
-#define CONFIG_OMAP34XX		1	/* which is a 34XX */
-#define CONFIG_OMAP3_DEVKIT8000	1	/* working with DevKit8000 */
+/*
+ * Values that differ from platform defaults or are unspecified.
+ */
+#define CONFIG_SDRC			/* The chip has SDRC controller */
+
+/* Platform defaults */
+#include <configs/omap3_common.h>
+
+/*
+ * Override the common platform file choices.
+ */
+
+/*
+ * Other configuration options
+ */
+#define CONFIG_OMAP3_DEVKIT8000		/* working with DevKit8000 */
 
 /*
  * 1MB into the SDRAM to allow for SPL's bss at the beginning of SDRAM
@@ -44,10 +56,6 @@
  */
 #define CONFIG_SYS_TEXT_BASE	0x80100000
 
-#define CONFIG_SDRC	/* The chip has SDRC controller */
-
-#include <asm/arch/cpu.h>		/* get chip and board defs */
-#include <asm/arch/omap3.h>
 
 /* Display CPU and Board information */
 #define CONFIG_DISPLAY_CPUINFO		1
diff --git a/include/configs/dig297.h b/include/configs/dig297.h
index 1626b0e..5243b6a 100644
--- a/include/configs/dig297.h
+++ b/include/configs/dig297.h
@@ -38,20 +38,26 @@
 #else
 #define MACH_TYPE_OMAP3_CPS 2751
 #endif
-#define CONFIG_MACH_TYPE MACH_TYPE_OMAP3_CPS
 
 /*
- * High Level Configuration Options
+ * Values that differ from platform defaults or are unspecified.
  */
-#define CONFIG_OMAP		/* in a TI OMAP core */
-#define CONFIG_OMAP34XX		/* which is a 34XX */
+#define CONFIG_SDRC			/* The chip has SDRC controller */
 
-#define CONFIG_SYS_TEXT_BASE	0x80008000
+/* Platform defaults */
+#include <configs/omap3_common.h>
+
+/*
+ * Override the common platform file choices.
+ */
 
-#define CONFIG_SDRC	/* The chip has SDRC controller */
+/*
+ * Other configuration options
+ */
+#define CONFIG_MACH_TYPE		MACH_TYPE_OMAP3_CPS
+
+#define CONFIG_SYS_TEXT_BASE	0x80008000
 
-#include <asm/arch/cpu.h>		/* get chip and board defs */
-#include <asm/arch/omap3.h>
 
 /*
  * Display CPU and Board information
diff --git a/include/configs/igep00x0.h b/include/configs/igep00x0.h
index d2b4b84..37284df 100644
--- a/include/configs/igep00x0.h
+++ b/include/configs/igep00x0.h
@@ -23,18 +23,21 @@
 #ifndef __IGEP00X0_H
 #define __IGEP00X0_H
 
-#include <asm/sizes.h>
-
 /*
- * High Level Configuration Options
+ * Values that differ from platform defaults or are unspecified.
  */
-#define CONFIG_OMAP		1	/* in a TI OMAP core */
-#define CONFIG_OMAP34XX		1	/* which is a 34XX */
+#define CONFIG_SDRC			/* The chip has SDRC controller */
+
+/* Platform defaults */
+#include <configs/omap3_common.h>
 
-#define CONFIG_SDRC	/* The chip has SDRC controller */
+/*
+ * Override the common platform file choices.
+ */
 
-#include <asm/arch/cpu.h>
-#include <asm/arch/omap3.h>
+/*
+ * Other configuration options
+ */
 
 /*
  * Display CPU and Board information
diff --git a/include/configs/mcx.h b/include/configs/mcx.h
index e190e3e..6a6e0ec 100644
--- a/include/configs/mcx.h
+++ b/include/configs/mcx.h
@@ -22,21 +22,25 @@
 #define __CONFIG_H
 
 /*
- * High Level Configuration Options
+ * Values that differ from platform defaults or are unspecified.
  */
-#define CONFIG_OMAP			/* in a TI OMAP core */
-#define CONFIG_OMAP34XX			/* which is a 34XX */
-#define CONFIG_OMAP3_MCX		/* working with mcx */
+#define CONFIG_EMIF4			/* The chip has EMIF4 controller */
 
-#define MACH_TYPE_MCX			3656
-#define CONFIG_MACH_TYPE	MACH_TYPE_MCX
+/* Platform defaults */
+#include <configs/omap3_common.h>
 
-#define CONFIG_SYS_CACHELINE_SIZE	64
+/*
+ * Override the common platform file choices.
+ */
 
-#define CONFIG_EMIF4	/* The chip has EMIF4 controller */
+/*
+ * Other configuration options
+ */
+#define CONFIG_OMAP3_MCX		/* working with mcx */
+#define MACH_TYPE_MCX			3656
+#define CONFIG_MACH_TYPE		MACH_TYPE_MCX
 
-#include <asm/arch/cpu.h>		/* get chip and board defs */
-#include <asm/arch/omap3.h>
+#define CONFIG_SYS_CACHELINE_SIZE	64
 
 #define CONFIG_OF_LIBFDT
 #define CONFIG_FIT
diff --git a/include/configs/mt_ventoux.h b/include/configs/mt_ventoux.h
index 2034b59..efb544f 100644
--- a/include/configs/mt_ventoux.h
+++ b/include/configs/mt_ventoux.h
@@ -22,8 +22,21 @@
 #ifndef __CONFIG_H
 #define __CONFIG_H
 
+
+/*
+ * Values that differ from platform defaults or are unspecified.
+ */
+
+/* Platform defaults */
 #include "tam3517-common.h"
 
+/*
+ * Override the common platform file choices.
+ */
+
+/*
+ * Other configuration options
+ */
 #define MACH_TYPE_AM3517_MT_VENTOUX	3832
 #define CONFIG_MACH_TYPE	MACH_TYPE_AM3517_MT_VENTOUX
 
diff --git a/include/configs/omap3_beagle.h b/include/configs/omap3_beagle.h
index 80b9a5a..21e4b01 100644
--- a/include/configs/omap3_beagle.h
+++ b/include/configs/omap3_beagle.h
@@ -29,16 +29,21 @@
 #define __CONFIG_H
 
 /*
- * High Level Configuration Options
+ * Values that differ from platform defaults or are unspecified.
  */
-#define CONFIG_OMAP		1	/* in a TI OMAP core */
-#define CONFIG_OMAP34XX		1	/* which is a 34XX */
-#define CONFIG_OMAP3_BEAGLE	1	/* working with BEAGLE */
+#define CONFIG_SDRC			/* The chip has SDRC controller */
 
-#define CONFIG_SDRC	/* The chip has SDRC controller */
+/* Platform defaults */
+#include <configs/omap3_common.h>
 
-#include <asm/arch/cpu.h>		/* get chip and board defs */
-#include <asm/arch/omap3.h>
+/*
+ * Override the common platform file choices.
+ */
+
+/*
+ * Other configuration options
+ */
+#define CONFIG_OMAP3_BEAGLE		/* working with BEAGLE */
 
 /*
  * Display CPU and Board information
diff --git a/include/configs/omap3_common.h b/include/configs/omap3_common.h
new file mode 100644
index 0000000..417dec0
--- /dev/null
+++ b/include/configs/omap3_common.h
@@ -0,0 +1,40 @@
+/*
+ * (C) Copyright 2012
+ * Texas Instruments Incorporated.
+ * Tom Rini <trini@ti.com>
+ *
+ * TI OMAP3 (and AM/DM related parts) common configuration settings
+ *
+ * See file CREDITS for list of people who contributed to this
+ * project.
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License as
+ * published by the Free Software Foundation; either version 2 of
+ * the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place, Suite 330, Boston,
+ * MA 02111-1307 USA
+ */
+
+#ifndef __CONFIG_OMAP3_COMMON_H
+#define __CONFIG_OMAP3_COMMON_H
+
+/*
+ * A TI OMAP3 (or similar) core
+ */
+#define CONFIG_OMAP
+#define CONFIG_OMAP34XX
+
+/* Get CPU defs */
+#include <asm/arch/cpu.h>
+#include <asm/arch/omap3.h>
+
+#endif /* __CONFIG_OMAP3_COMMON_H */
diff --git a/include/configs/omap3_evm.h b/include/configs/omap3_evm.h
index 4173b53..3951f79 100644
--- a/include/configs/omap3_evm.h
+++ b/include/configs/omap3_evm.h
@@ -33,9 +33,6 @@
 #ifndef __OMAP3EVM_CONFIG_H
 #define __OMAP3EVM_CONFIG_H
 
-#include <asm/arch/cpu.h>
-#include <asm/arch/omap3.h>
-
 /* ----------------------------------------------------------------------------
  * Supported U-boot commands
  * ----------------------------------------------------------------------------
diff --git a/include/configs/omap3_evm_common.h b/include/configs/omap3_evm_common.h
index 4910dda..742faa1 100644
--- a/include/configs/omap3_evm_common.h
+++ b/include/configs/omap3_evm_common.h
@@ -18,13 +18,20 @@
 #define __OMAP3_EVM_COMMON_H
 
 /*
- * High level configuration options
+ * Values that differ from platform defaults or are unspecified.
  */
-#define CONFIG_OMAP			/* This is TI OMAP core */
-#define CONFIG_OMAP34XX			/* belonging to 34XX family */
-
 #define CONFIG_SDRC			/* The chip has SDRC controller */
 
+/* Platform defaults */
+#include <configs/omap3_common.h>
+
+/*
+ * Override the common platform file choices.
+ */
+
+/*
+ * Other configuration options
+ */
 #define CONFIG_OMAP3_EVM		/* This is a OMAP3 EVM */
 #define CONFIG_TWL4030_POWER		/* with TWL4030 PMIC */
 
diff --git a/include/configs/omap3_evm_quick_mmc.h b/include/configs/omap3_evm_quick_mmc.h
index 912da7d..8590fac 100644
--- a/include/configs/omap3_evm_quick_mmc.h
+++ b/include/configs/omap3_evm_quick_mmc.h
@@ -20,9 +20,6 @@
 #ifndef __OMAP3_EVM_QUICK_MMC_H
 #define __OMAP3_EVM_QUICK_MMC_H
 
-#include <asm/arch/cpu.h>
-#include <asm/arch/omap3.h>
-
 /* ----------------------------------------------------------------------------
  * Supported U-boot commands
  * ----------------------------------------------------------------------------
@@ -62,6 +59,10 @@
  */
 #include "omap3_evm_common.h"
 
+/*
+ * Override the common platform file choices.
+ */
+
 /* -----------------------------------------------------------------------------
  * Default environment
  * -----------------------------------------------------------------------------
diff --git a/include/configs/omap3_evm_quick_nand.h b/include/configs/omap3_evm_quick_nand.h
index 362fa1d..ce19dad 100644
--- a/include/configs/omap3_evm_quick_nand.h
+++ b/include/configs/omap3_evm_quick_nand.h
@@ -20,9 +20,6 @@
 #ifndef __OMAP3_EVM_QUICK_NAND_H
 #define __OMAP3_EVM_QUICK_NAND_H
 
-#include <asm/arch/cpu.h>
-#include <asm/arch/omap3.h>
-
 /* ----------------------------------------------------------------------------
  * Supported U-boot commands
  * ----------------------------------------------------------------------------
@@ -50,6 +47,10 @@
  */
 #include "omap3_evm_common.h"
 
+/*
+ * Override the common platform file choices.
+ */
+
 /* -----------------------------------------------------------------------------
  * Default environment
  * -----------------------------------------------------------------------------
diff --git a/include/configs/omap3_logic.h b/include/configs/omap3_logic.h
index 01360f6..03dc4ad 100644
--- a/include/configs/omap3_logic.h
+++ b/include/configs/omap3_logic.h
@@ -28,20 +28,26 @@
 #define __CONFIG_H
 
 /*
- * High Level Configuration Options
+ * Values that differ from platform defaults or are unspecified.
+ */
+#define CONFIG_SDRC			/* The chip has SDRC controller */
+
+/* Platform defaults */
+#include <configs/omap3_common.h>
+
+/*
+ * Override the common platform file choices.
+ */
+
+/*
+ * Other configuration options
  */
-#define CONFIG_OMAP			/* in a TI OMAP core */
-#define CONFIG_OMAP34XX			/* which is a 34XX */
 #define CONFIG_OMAP3_LOGIC		/* working with Logic OMAP boards */
 
 #undef CONFIG_USE_IRQ			/* no support for IRQs */
 
 #define CONFIG_SYS_TEXT_BASE	0x80400000
 
-#define CONFIG_SDRC	/* The chip has SDRC controller */
-
-#include <asm/arch/cpu.h>	/* get chip and board defs */
-#include <asm/arch/omap3.h>
 
 /*
  * Display CPU and Board information
diff --git a/include/configs/omap3_mvblx.h b/include/configs/omap3_mvblx.h
index b819d21..cbe0862 100644
--- a/include/configs/omap3_mvblx.h
+++ b/include/configs/omap3_mvblx.h
@@ -32,18 +32,23 @@
 #define __CONFIG_H
 
 /*
- * High Level Configuration Options
+ * Values that differ from platform defaults or are unspecified.
  */
-#define CONFIG_ARMV7		1	/* This is an ARM V7 CPU core */
-#define CONFIG_OMAP		1	/* in a TI OMAP core */
-#define CONFIG_OMAP34XX		1	/* which is a 34XX */
-#define CONFIG_MVBLX		1	/* working with mvBlueLYNX-X */
-#define CONFIG_MACH_TYPE	MACH_TYPE_MVBLX
+#define CONFIG_SDRC			/* The chip has SDRC controller */
 
-#define CONFIG_SDRC	/* The chip has SDRC controller */
+/* Platform defaults */
+#include <configs/omap3_common.h>
+
+/*
+ * Override the common platform file choices.
+ */
+
+/*
+ * Other configuration options
+ */
+#define CONFIG_MVBLX			/* working with mvBlueLYNX-X */
+#define CONFIG_MACH_TYPE		MACH_TYPE_MVBLX
 
-#include <asm/arch/cpu.h>		/* get chip and board defs */
-#include <asm/arch/omap3.h>
 
 /*
  * Display CPU and Board information
diff --git a/include/configs/omap3_overo.h b/include/configs/omap3_overo.h
index 64adc74..3db9c4d 100644
--- a/include/configs/omap3_overo.h
+++ b/include/configs/omap3_overo.h
@@ -20,16 +20,21 @@
 #define __CONFIG_H
 
 /*
- * High Level Configuration Options
+ * Values that differ from platform defaults or are unspecified.
  */
-#define CONFIG_OMAP				/* in a TI OMAP core */
-#define CONFIG_OMAP34XX				/* which is a 34XX */
-#define CONFIG_OMAP3_OVERO			/* working with overo */
+#define CONFIG_SDRC			/* The chip has SDRC controller */
 
-#define CONFIG_SDRC				/* The chip has SDRC controller */
+/* Platform defaults */
+#include <configs/omap3_common.h>
 
-#include <asm/arch/cpu.h>			/* get chip and board defs */
-#include <asm/arch/omap3.h>
+/*
+ * Override the common platform file choices.
+ */
+
+/*
+ * Other configuration options
+ */
+#define CONFIG_OMAP3_OVERO		/* working with overo */
 
 /*
  * Display CPU and Board information
diff --git a/include/configs/omap3_pandora.h b/include/configs/omap3_pandora.h
index 4df5f5d..41c9e8b 100644
--- a/include/configs/omap3_pandora.h
+++ b/include/configs/omap3_pandora.h
@@ -24,16 +24,21 @@
 #define __CONFIG_H
 
 /*
- * High Level Configuration Options
+ * Values that differ from platform defaults or are unspecified.
  */
-#define CONFIG_OMAP		1	/* in a TI OMAP core */
-#define CONFIG_OMAP34XX		1	/* which is a 34XX */
-#define CONFIG_OMAP3_PANDORA	1	/* working with pandora */
+#define CONFIG_SDRC			/* The chip has SDRC controller */
 
-#define CONFIG_SDRC	/* The chip has SDRC controller */
+/* Platform defaults */
+#include <configs/omap3_common.h>
 
-#include <asm/arch/cpu.h>	/* get chip and board defs */
-#include <asm/arch/omap3.h>
+/*
+ * Override the common platform file choices.
+ */
+
+/*
+ * Other configuration options
+ */
+#define CONFIG_OMAP3_PANDORA		/* working with pandora */
 
 /*
  * Display CPU and Board information
diff --git a/include/configs/omap3_sdp3430.h b/include/configs/omap3_sdp3430.h
index 404aed2..fd1eeef 100644
--- a/include/configs/omap3_sdp3430.h
+++ b/include/configs/omap3_sdp3430.h
@@ -26,34 +26,36 @@
  * MA 02111-1307 USA
  */
 
+/*
+ * NOTE:  We assume standard SDP jumper settings.
+ * In particular:
+ *  - 26 MHz clock (not 19.2 or 38.4 MHz)
+ *  - Boot from 128MB NOR, not NAND or OneNAND
+ *
+ * At this writing, OMAP3 U-Boot support doesn't permit concurrent
+ * support for all the flash types the board supports.
+ */
+
 #ifndef __CONFIG_H
 #define __CONFIG_H
 
-/* TODO: REMOVE THE FOLLOWING
- * Retained the following till size.h is removed in u-boot
- */
-#include <asm/sizes.h>
 /*
- * High Level Configuration Options
+ * Values that differ from platform defaults or are unspecified.
  */
-#define CONFIG_OMAP		1	/* in a TI OMAP core */
-#define CONFIG_OMAP34XX		1	/* which is a 34XX */
-#define CONFIG_OMAP3_3430SDP	1	/* working with SDP Rev2 */
+#define CONFIG_SDRC			/* The chip has SDRC controller */
 
-#define CONFIG_SDRC	/* The chip has SDRC controller */
+/* Platform defaults */
+#include <configs/omap3_common.h>
 
-#include <asm/arch/cpu.h>		/* get chip and board defs */
-#include <asm/arch/omap3.h>
+/*
+ * Override the common platform file choices.
+ */
 
 /*
- * NOTE:  these #defines presume standard SDP jumper settings.
- * In particular:
- *  - 26 MHz clock (not 19.2 or 38.4 MHz)
- *  - Boot from 128MB NOR, not NAND or OneNAND
- *
- * At this writing, OMAP3 U-Boot support doesn't permit concurrent
- * support for all the flash types the board supports.
+ * Other configuration options
  */
+#define CONFIG_OMAP3_3430SDP		/* working with SDP Rev2 */
+
 #define CONFIG_DISPLAY_CPUINFO		1
 #define CONFIG_DISPLAY_BOARDINFO	1
 
diff --git a/include/configs/omap3_zoom1.h b/include/configs/omap3_zoom1.h
index 17608f5..a3e20c5 100644
--- a/include/configs/omap3_zoom1.h
+++ b/include/configs/omap3_zoom1.h
@@ -30,16 +30,21 @@
 #define __CONFIG_H
 
 /*
- * High Level Configuration Options
+ * Values that differ from platform defaults or are unspecified.
  */
-#define CONFIG_OMAP		1	/* in a TI OMAP core */
-#define CONFIG_OMAP34XX		1	/* which is a 34XX */
-#define CONFIG_OMAP3_ZOOM1	1	/* working with Zoom MDK Rev1 */
+#define CONFIG_SDRC			/* The chip has SDRC controller */
 
-#define CONFIG_SDRC	/* The chip has SDRC controller */
+/* Platform defaults */
+#include <configs/omap3_common.h>
 
-#include <asm/arch/cpu.h>		/* get chip and board defs */
-#include <asm/arch/omap3.h>
+/*
+ * Override the common platform file choices.
+ */
+
+/*
+ * Other configuration options
+ */
+#define CONFIG_OMAP3_ZOOM1		/* working with Zoom MDK Rev1 */
 
 /*
  * Display CPU and Board information
diff --git a/include/configs/omap3_zoom2.h b/include/configs/omap3_zoom2.h
index b60ece3..5a1ff0a 100644
--- a/include/configs/omap3_zoom2.h
+++ b/include/configs/omap3_zoom2.h
@@ -31,16 +31,21 @@
 #define __CONFIG_H
 
 /*
- * High Level Configuration Options
+ * Values that differ from platform defaults or are unspecified.
  */
-#define CONFIG_OMAP		1	/* in a TI OMAP core */
-#define CONFIG_OMAP34XX		1	/* which is a 34XX */
-#define CONFIG_OMAP3_ZOOM2	1	/* working with Zoom II */
+#define CONFIG_SDRC			/* The chip has SDRC controller */
 
-#define CONFIG_SDRC	/* The chip has SDRC controller */
+/* Platform defaults */
+#include <configs/omap3_common.h>
 
-#include <asm/arch/cpu.h>	/* get chip and board defs */
-#include <asm/arch/omap3.h>
+/*
+ * Override the common platform file choices.
+ */
+
+/*
+ * Other configuration options
+ */
+#define CONFIG_OMAP3_ZOOM2		/* working with Zoom II */
 
 /*
  * Display CPU and Board information
diff --git a/include/configs/tam3517-common.h b/include/configs/tam3517-common.h
index 37eb87b..4ade3b6 100644
--- a/include/configs/tam3517-common.h
+++ b/include/configs/tam3517-common.h
@@ -23,19 +23,24 @@
 #define __TAM3517_H
 
 /*
- * High Level Configuration Options
+ * Values that differ from platform defaults or are unspecified.
  */
-#define CONFIG_OMAP		/* in a TI OMAP core */
-#define CONFIG_OMAP34XX		/* which is a 34XX */
+#define CONFIG_EMIF4			/* The chip has EMIF4 controller */
 
-#define CONFIG_SYS_TEXT_BASE 0x80008000
+/* Platform defaults */
+#include <configs/omap3_common.h>
 
-#define CONFIG_SYS_CACHELINE_SIZE	64
+/*
+ * Override the common platform file choices.
+ */
 
-#define CONFIG_EMIF4	/* The chip has EMIF4 controller */
+/*
+ * Other configuration options
+ */
+
+#define CONFIG_SYS_TEXT_BASE 0x80008000
 
-#include <asm/arch/cpu.h>		/* get chip and board defs */
-#include <asm/arch/omap3.h>
+#define CONFIG_SYS_CACHELINE_SIZE	64
 
 /*
  * Display CPU and Board information
diff --git a/include/configs/tricorder.h b/include/configs/tricorder.h
index ba8847b..9b24ea9 100644
--- a/include/configs/tricorder.h
+++ b/include/configs/tricorder.h
@@ -32,11 +32,23 @@
 #ifndef __CONFIG_H
 #define __CONFIG_H
 
-/* High Level Configuration Options */
-#define CONFIG_OMAP			/* in a TI OMAP core */
-#define CONFIG_OMAP34XX			/* which is a 34XX */
+/*
+ * Values that differ from platform defaults or are unspecified.
+ */
+#define CONFIG_SDRC			/* The chip has SDRC controller */
+
+/* Platform defaults */
+#include <configs/omap3_common.h>
+
+/*
+ * Override the common platform file choices.
+ */
 
+/*
+ * Other configuration options
+ */
 #define CONFIG_MACH_TYPE		MACH_TYPE_TRICORDER
+
 /*
  * 1MB into the SDRAM to allow for SPL's bss at the beginning of SDRAM
  * 64 bytes before this address should be set aside for u-boot.img's
@@ -45,11 +57,6 @@
  */
 #define CONFIG_SYS_TEXT_BASE		0x80100000
 
-#define CONFIG_SDRC			/* The chip has SDRC controller */
-
-#include <asm/arch/cpu.h>		/* get chip and board defs */
-#include <asm/arch/omap3.h>
-
 /* Display CPU and Board information */
 #define CONFIG_DISPLAY_CPUINFO
 #define CONFIG_DISPLAY_BOARDINFO
diff --git a/include/configs/twister.h b/include/configs/twister.h
index 64a886d..56944aa 100644
--- a/include/configs/twister.h
+++ b/include/configs/twister.h
@@ -24,8 +24,20 @@
 #ifndef __CONFIG_H
 #define __CONFIG_H
 
+/*
+ * Values that differ from platform defaults or are unspecified.
+ */
+
+/* Platform defaults */
 #include "tam3517-common.h"
 
+/*
+ * Override the common platform file choices.
+ */
+
+/*
+ * Other configuration options
+ */
 #define MACH_TYPE_TAM3517	2818
 #define CONFIG_MACH_TYPE	MACH_TYPE_TAM3517
 
@@ -51,4 +63,6 @@
 #define	CONFIG_EXTRA_ENV_SETTINGS	CONFIG_TAM3517_SETTINGS \
 	"bootcmd=run nandboot\0"
 
+#include <configs/omap3_common.h>
+
 #endif /* __CONFIG_H */