diff --git a/include/configs/am3517_crane.h b/include/configs/am3517_crane.h
index f58fede..8a1bb0a 100644
--- a/include/configs/am3517_crane.h
+++ b/include/configs/am3517_crane.h
@@ -42,12 +42,6 @@
  */
 #define CONFIG_OMAP3_AM3517CRANE	/* working with CRANEBOARD */
 
-/*
- * Display CPU and Board information
- */
-#define CONFIG_DISPLAY_CPUINFO		1
-#define CONFIG_DISPLAY_BOARDINFO	1
-
 /* Clock Defines */
 #define V_OSCK			26000000	/* Clock output from T2 */
 #define V_SCLK			(V_OSCK >> 1)
diff --git a/include/configs/am3517_evm.h b/include/configs/am3517_evm.h
index d24ad01..2a442c7 100644
--- a/include/configs/am3517_evm.h
+++ b/include/configs/am3517_evm.h
@@ -42,13 +42,6 @@
  */
 #define CONFIG_OMAP3_AM3517EVM		/* working with AM3517EVM */
 
-
-/*
- * Display CPU and Board information
- */
-#define CONFIG_DISPLAY_CPUINFO		1
-#define CONFIG_DISPLAY_BOARDINFO	1
-
 /* Clock Defines */
 #define V_OSCK			26000000	/* Clock output from T2 */
 #define V_SCLK			(V_OSCK >> 1)
diff --git a/include/configs/cm_t35.h b/include/configs/cm_t35.h
index fe214eb..1061564 100644
--- a/include/configs/cm_t35.h
+++ b/include/configs/cm_t35.h
@@ -51,13 +51,6 @@
 
 #define CONFIG_SYS_TEXT_BASE	0x80008000
 
-
-/*
- * Display CPU and Board information
- */
-#define CONFIG_DISPLAY_CPUINFO
-#define CONFIG_DISPLAY_BOARDINFO
-
 /* Clock Defines */
 #define V_OSCK			26000000	/* Clock output from T2 */
 #define V_SCLK			(V_OSCK >> 1)
diff --git a/include/configs/devkit8000.h b/include/configs/devkit8000.h
index f1ece51..98eeb5e 100644
--- a/include/configs/devkit8000.h
+++ b/include/configs/devkit8000.h
@@ -56,11 +56,6 @@
  */
 #define CONFIG_SYS_TEXT_BASE	0x80100000
 
-
-/* Display CPU and Board information */
-#define CONFIG_DISPLAY_CPUINFO		1
-#define CONFIG_DISPLAY_BOARDINFO	1
-
 /* Clock Defines */
 #define V_OSCK				26000000	/* Clock output from T2 */
 #define V_SCLK				(V_OSCK >> 1)
diff --git a/include/configs/dig297.h b/include/configs/dig297.h
index 5243b6a..3820ecb 100644
--- a/include/configs/dig297.h
+++ b/include/configs/dig297.h
@@ -59,12 +59,6 @@
 #define CONFIG_SYS_TEXT_BASE	0x80008000
 
 
-/*
- * Display CPU and Board information
- */
-#define CONFIG_DISPLAY_CPUINFO
-#define CONFIG_DISPLAY_BOARDINFO
-
 /* Clock Defines */
 #define V_OSCK			26000000	/* Clock output from T2 */
 #define V_SCLK			(V_OSCK >> 1)
diff --git a/include/configs/igep00x0.h b/include/configs/igep00x0.h
index 37284df..8e8082d 100644
--- a/include/configs/igep00x0.h
+++ b/include/configs/igep00x0.h
@@ -39,12 +39,6 @@
  * Other configuration options
  */
 
-/*
- * Display CPU and Board information
- */
-#define CONFIG_DISPLAY_CPUINFO		1
-#define CONFIG_DISPLAY_BOARDINFO	1
-
 /* Clock Defines */
 #define V_OSCK			26000000	/* Clock output from T2 */
 #define V_SCLK			(V_OSCK >> 1)
diff --git a/include/configs/mcx.h b/include/configs/mcx.h
index 6a6e0ec..0f3e427 100644
--- a/include/configs/mcx.h
+++ b/include/configs/mcx.h
@@ -51,12 +51,6 @@
  */
 #define CONFIG_SYS_TEXT_BASE		0x80008000
 
-/*
- * Display CPU and Board information
- */
-#define CONFIG_DISPLAY_CPUINFO
-#define CONFIG_DISPLAY_BOARDINFO
-
 /* Clock Defines */
 #define V_OSCK			26000000	/* Clock output from T2 */
 #define V_SCLK			(V_OSCK >> 1)
diff --git a/include/configs/omap3_beagle.h b/include/configs/omap3_beagle.h
index 21e4b01..aab371e 100644
--- a/include/configs/omap3_beagle.h
+++ b/include/configs/omap3_beagle.h
@@ -45,12 +45,6 @@
  */
 #define CONFIG_OMAP3_BEAGLE		/* working with BEAGLE */
 
-/*
- * Display CPU and Board information
- */
-#define CONFIG_DISPLAY_CPUINFO		1
-#define CONFIG_DISPLAY_BOARDINFO	1
-
 /* Clock Defines */
 #define V_OSCK			26000000	/* Clock output from T2 */
 #define V_SCLK			(V_OSCK >> 1)
diff --git a/include/configs/omap3_common.h b/include/configs/omap3_common.h
index 417dec0..cc8e146 100644
--- a/include/configs/omap3_common.h
+++ b/include/configs/omap3_common.h
@@ -37,4 +37,8 @@
 #include <asm/arch/cpu.h>
 #include <asm/arch/omap3.h>
 
+/* Display CPU and Board Info */
+#define CONFIG_DISPLAY_CPUINFO
+#define CONFIG_DISPLAY_BOARDINFO
+
 #endif /* __CONFIG_OMAP3_COMMON_H */
diff --git a/include/configs/omap3_evm.h b/include/configs/omap3_evm.h
index 3951f79..65655bb 100644
--- a/include/configs/omap3_evm.h
+++ b/include/configs/omap3_evm.h
@@ -61,10 +61,6 @@
 #define CONFIG_SYS_LONGHELP
 #define CONFIG_SYS_HUSH_PARSER
 
-/* Display CPU and Board information */
-#define CONFIG_DISPLAY_CPUINFO
-#define CONFIG_DISPLAY_BOARDINFO
-
 /* Allow to overwrite serial and ethaddr */
 #define CONFIG_ENV_OVERWRITE
 
diff --git a/include/configs/omap3_logic.h b/include/configs/omap3_logic.h
index 03dc4ad..d0b1af8 100644
--- a/include/configs/omap3_logic.h
+++ b/include/configs/omap3_logic.h
@@ -48,13 +48,6 @@
 
 #define CONFIG_SYS_TEXT_BASE	0x80400000
 
-
-/*
- * Display CPU and Board information
- */
-#define CONFIG_DISPLAY_CPUINFO
-#define CONFIG_DISPLAY_BOARDINFO
-
 /* Clock Defines */
 #define V_OSCK			26000000	/* Clock output from T2 */
 #define V_SCLK			(V_OSCK >> 1)
diff --git a/include/configs/omap3_mvblx.h b/include/configs/omap3_mvblx.h
index cbe0862..5c6a50f 100644
--- a/include/configs/omap3_mvblx.h
+++ b/include/configs/omap3_mvblx.h
@@ -49,13 +49,6 @@
 #define CONFIG_MVBLX			/* working with mvBlueLYNX-X */
 #define CONFIG_MACH_TYPE		MACH_TYPE_MVBLX
 
-
-/*
- * Display CPU and Board information
- */
-#define CONFIG_DISPLAY_CPUINFO		1
-#define CONFIG_DISPLAY_BOARDINFO	1
-
 /* Clock Defines */
 #define V_OSCK			26000000	/* Clock output from T2 */
 #define V_SCLK			(V_OSCK >> 1)
diff --git a/include/configs/omap3_overo.h b/include/configs/omap3_overo.h
index 3db9c4d..c927bad 100644
--- a/include/configs/omap3_overo.h
+++ b/include/configs/omap3_overo.h
@@ -36,12 +36,6 @@
  */
 #define CONFIG_OMAP3_OVERO		/* working with overo */
 
-/*
- * Display CPU and Board information
- */
-#define CONFIG_DISPLAY_CPUINFO
-#define CONFIG_DISPLAY_BOARDINFO
-
 /* Clock Defines */
 #define V_OSCK			26000000	/* Clock output from T2 */
 #define V_SCLK			(V_OSCK >> 1)
diff --git a/include/configs/omap3_pandora.h b/include/configs/omap3_pandora.h
index 41c9e8b..de20959 100644
--- a/include/configs/omap3_pandora.h
+++ b/include/configs/omap3_pandora.h
@@ -40,12 +40,6 @@
  */
 #define CONFIG_OMAP3_PANDORA		/* working with pandora */
 
-/*
- * Display CPU and Board information
- */
-#define CONFIG_DISPLAY_CPUINFO		1
-#define CONFIG_DISPLAY_BOARDINFO	1
-
 /* Clock Defines */
 #define V_OSCK			26000000	/* Clock output from T2 */
 #define V_SCLK			(V_OSCK >> 1)
diff --git a/include/configs/omap3_sdp3430.h b/include/configs/omap3_sdp3430.h
index fd1eeef..af76f8b 100644
--- a/include/configs/omap3_sdp3430.h
+++ b/include/configs/omap3_sdp3430.h
@@ -56,9 +56,6 @@
  */
 #define CONFIG_OMAP3_3430SDP		/* working with SDP Rev2 */
 
-#define CONFIG_DISPLAY_CPUINFO		1
-#define CONFIG_DISPLAY_BOARDINFO	1
-
 /* Clock Defines */
 #define V_OSCK			26000000	/* Clock output from T2 */
 #define V_SCLK			(V_OSCK >> 1)
diff --git a/include/configs/omap3_zoom1.h b/include/configs/omap3_zoom1.h
index a3e20c5..2ad20f3 100644
--- a/include/configs/omap3_zoom1.h
+++ b/include/configs/omap3_zoom1.h
@@ -46,12 +46,6 @@
  */
 #define CONFIG_OMAP3_ZOOM1		/* working with Zoom MDK Rev1 */
 
-/*
- * Display CPU and Board information
- */
-#define CONFIG_DISPLAY_CPUINFO		1
-#define CONFIG_DISPLAY_BOARDINFO	1
-
 /* Clock Defines */
 #define V_OSCK			26000000	/* Clock output from T2 */
 #define V_SCLK			(V_OSCK >> 1)
diff --git a/include/configs/omap3_zoom2.h b/include/configs/omap3_zoom2.h
index 5a1ff0a..87878d8 100644
--- a/include/configs/omap3_zoom2.h
+++ b/include/configs/omap3_zoom2.h
@@ -47,12 +47,6 @@
  */
 #define CONFIG_OMAP3_ZOOM2		/* working with Zoom II */
 
-/*
- * Display CPU and Board information
- */
-#define CONFIG_DISPLAY_CPUINFO		1
-#define CONFIG_DISPLAY_BOARDINFO	1
-
 /* Clock Defines */
 #define V_OSCK			26000000	/* Clock output from T2 */
 #define V_SCLK			(V_OSCK >> 1)
diff --git a/include/configs/tam3517-common.h b/include/configs/tam3517-common.h
index 4ade3b6..1de40c0 100644
--- a/include/configs/tam3517-common.h
+++ b/include/configs/tam3517-common.h
@@ -42,12 +42,6 @@
 
 #define CONFIG_SYS_CACHELINE_SIZE	64
 
-/*
- * Display CPU and Board information
- */
-#define CONFIG_DISPLAY_CPUINFO
-#define CONFIG_DISPLAY_BOARDINFO
-
 /* Clock Defines */
 #define V_OSCK			26000000	/* Clock output from T2 */
 #define V_SCLK			(V_OSCK >> 1)
diff --git a/include/configs/tricorder.h b/include/configs/tricorder.h
index 9b24ea9..24f019c 100644
--- a/include/configs/tricorder.h
+++ b/include/configs/tricorder.h
@@ -57,10 +57,6 @@
  */
 #define CONFIG_SYS_TEXT_BASE		0x80100000
 
-/* Display CPU and Board information */
-#define CONFIG_DISPLAY_CPUINFO
-#define CONFIG_DISPLAY_BOARDINFO
-
 /* Clock Defines */
 #define V_OSCK				26000000 /* Clock output from T2 */
 #define V_SCLK				(V_OSCK >> 1)