diff --git a/include/configs/am3517_crane.h b/include/configs/am3517_crane.h
index 7dc2eee..f113afc 100644
--- a/include/configs/am3517_crane.h
+++ b/include/configs/am3517_crane.h
@@ -42,7 +42,6 @@
  */
 #define CONFIG_OMAP3_AM3517CRANE	/* working with CRANEBOARD */
 
-#undef CONFIG_USE_IRQ				/* no support for IRQs */
 #define CONFIG_MISC_INIT_R
 
 #define CONFIG_CMDLINE_TAG		1	/* enable passing of ATAGs */
diff --git a/include/configs/am3517_evm.h b/include/configs/am3517_evm.h
index 3a6daa4..51cab37 100644
--- a/include/configs/am3517_evm.h
+++ b/include/configs/am3517_evm.h
@@ -42,7 +42,6 @@
  */
 #define CONFIG_OMAP3_AM3517EVM		/* working with AM3517EVM */
 
-#undef CONFIG_USE_IRQ				/* no support for IRQs */
 #define CONFIG_MISC_INIT_R
 
 #define CONFIG_CMDLINE_TAG		1	/* enable passing of ATAGs */
diff --git a/include/configs/cm_t35.h b/include/configs/cm_t35.h
index 6724527..3a151fc 100644
--- a/include/configs/cm_t35.h
+++ b/include/configs/cm_t35.h
@@ -51,7 +51,6 @@
 
 #define CONFIG_SYS_TEXT_BASE	0x80008000
 
-#undef CONFIG_USE_IRQ				/* no support for IRQs */
 #define CONFIG_MISC_INIT_R
 
 #define CONFIG_OF_LIBFDT		1
diff --git a/include/configs/devkit8000.h b/include/configs/devkit8000.h
index e6c9859..972940f 100644
--- a/include/configs/devkit8000.h
+++ b/include/configs/devkit8000.h
@@ -56,7 +56,6 @@
  */
 #define CONFIG_SYS_TEXT_BASE	0x80100000
 
-#undef CONFIG_USE_IRQ			/* no support for IRQs */
 #define CONFIG_MISC_INIT_R
 
 #define CONFIG_CMDLINE_TAG		1	/* enable passing of ATAGs */
diff --git a/include/configs/dig297.h b/include/configs/dig297.h
index e0a518c..ca17d6e 100644
--- a/include/configs/dig297.h
+++ b/include/configs/dig297.h
@@ -58,7 +58,6 @@
 
 #define CONFIG_SYS_TEXT_BASE	0x80008000
 
-#undef CONFIG_USE_IRQ				/* no support for IRQs */
 #define CONFIG_MISC_INIT_R
 
 #define CONFIG_CMDLINE_TAG			/* enable passing of ATAGs */
@@ -260,10 +259,6 @@
  * The stack sizes are set up in start.S using the settings below
  */
 #define CONFIG_STACKSIZE	(128 << 10)	/* regular stack 128 KiB */
-#ifdef CONFIG_USE_IRQ
-#define CONFIG_STACKSIZE_IRQ	(4 << 10)	/* IRQ stack 4 KiB */
-#define CONFIG_STACKSIZE_FIQ	(4 << 10)	/* FIQ stack 4 KiB */
-#endif
 
 /*-----------------------------------------------------------------------
  * Physical Memory Map
diff --git a/include/configs/omap3_beagle.h b/include/configs/omap3_beagle.h
index a372646..eefada2 100644
--- a/include/configs/omap3_beagle.h
+++ b/include/configs/omap3_beagle.h
@@ -45,7 +45,6 @@
  */
 #define CONFIG_OMAP3_BEAGLE		/* working with BEAGLE */
 
-#undef CONFIG_USE_IRQ				/* no support for IRQs */
 #define CONFIG_MISC_INIT_R
 
 #define CONFIG_OF_LIBFDT		1
diff --git a/include/configs/omap3_common.h b/include/configs/omap3_common.h
index f54aff1..e2c3a38 100644
--- a/include/configs/omap3_common.h
+++ b/include/configs/omap3_common.h
@@ -49,4 +49,7 @@
 #define V_SCLK			(V_OSCK >> 1)
 #endif
 
+/* no support for IRQs */
+#undef CONFIG_USE_IRQ
+
 #endif /* __CONFIG_OMAP3_COMMON_H */
diff --git a/include/configs/omap3_evm_common.h b/include/configs/omap3_evm_common.h
index 0b4dcf1..c207693 100644
--- a/include/configs/omap3_evm_common.h
+++ b/include/configs/omap3_evm_common.h
@@ -35,8 +35,6 @@
 #define CONFIG_OMAP3_EVM		/* This is a OMAP3 EVM */
 #define CONFIG_TWL4030_POWER		/* with TWL4030 PMIC */
 
-#undef CONFIG_USE_IRQ			/* no support for IRQs */
-
 /*
  * OMAP3 has 12 GP timers, they can be driven by the system clock
  * (12/13/16.8/19.2/38.4MHz) or by 32KHz clock. We use 13MHz (V_SCLK).
diff --git a/include/configs/omap3_logic.h b/include/configs/omap3_logic.h
index 6d245db..6f327ad 100644
--- a/include/configs/omap3_logic.h
+++ b/include/configs/omap3_logic.h
@@ -44,8 +44,6 @@
  */
 #define CONFIG_OMAP3_LOGIC		/* working with Logic OMAP boards */
 
-#undef CONFIG_USE_IRQ			/* no support for IRQs */
-
 #define CONFIG_SYS_TEXT_BASE	0x80400000
 
 #define CONFIG_MISC_INIT_R		/* misc_init_r dumps the die id */
diff --git a/include/configs/omap3_mvblx.h b/include/configs/omap3_mvblx.h
index 8465577..b179df2 100644
--- a/include/configs/omap3_mvblx.h
+++ b/include/configs/omap3_mvblx.h
@@ -49,7 +49,6 @@
 #define CONFIG_MVBLX			/* working with mvBlueLYNX-X */
 #define CONFIG_MACH_TYPE		MACH_TYPE_MVBLX
 
-#undef CONFIG_USE_IRQ				/* no support for IRQs */
 #define CONFIG_MISC_INIT_R
 
 #define CONFIG_OF_LIBFDT		1
diff --git a/include/configs/omap3_overo.h b/include/configs/omap3_overo.h
index 661fb22..e3b803c 100644
--- a/include/configs/omap3_overo.h
+++ b/include/configs/omap3_overo.h
@@ -36,7 +36,6 @@
  */
 #define CONFIG_OMAP3_OVERO		/* working with overo */
 
-#undef CONFIG_USE_IRQ				/* no support for IRQs */
 #define CONFIG_MISC_INIT_R
 
 #define CONFIG_CMDLINE_TAG			/* enable passing of ATAGs */
diff --git a/include/configs/omap3_pandora.h b/include/configs/omap3_pandora.h
index c5dc8b5..048d983 100644
--- a/include/configs/omap3_pandora.h
+++ b/include/configs/omap3_pandora.h
@@ -40,7 +40,6 @@
  */
 #define CONFIG_OMAP3_PANDORA		/* working with pandora */
 
-#undef CONFIG_USE_IRQ		/* no support for IRQs */
 #define CONFIG_MISC_INIT_R
 
 #define CONFIG_CMDLINE_TAG		1	/* enable passing of ATAGs */
diff --git a/include/configs/omap3_sdp3430.h b/include/configs/omap3_sdp3430.h
index faf8a6f..4689ebd 100644
--- a/include/configs/omap3_sdp3430.h
+++ b/include/configs/omap3_sdp3430.h
@@ -56,7 +56,6 @@
  */
 #define CONFIG_OMAP3_3430SDP		/* working with SDP Rev2 */
 
-#undef CONFIG_USE_IRQ			/* no support for IRQs */
 #define CONFIG_MISC_INIT_R
 
 #define CONFIG_CMDLINE_TAG		1	/* enable passing of ATAGs */
diff --git a/include/configs/omap3_zoom1.h b/include/configs/omap3_zoom1.h
index 9367849..606e63f 100644
--- a/include/configs/omap3_zoom1.h
+++ b/include/configs/omap3_zoom1.h
@@ -46,7 +46,6 @@
  */
 #define CONFIG_OMAP3_ZOOM1		/* working with Zoom MDK Rev1 */
 
-#undef CONFIG_USE_IRQ				/* no support for IRQs */
 #define CONFIG_MISC_INIT_R
 
 #define CONFIG_CMDLINE_TAG		1	/* enable passing of ATAGs */
diff --git a/include/configs/omap3_zoom2.h b/include/configs/omap3_zoom2.h
index 6d46ab7..0a4c0ee 100644
--- a/include/configs/omap3_zoom2.h
+++ b/include/configs/omap3_zoom2.h
@@ -47,7 +47,6 @@
  */
 #define CONFIG_OMAP3_ZOOM2		/* working with Zoom II */
 
-#undef CONFIG_USE_IRQ		/* no support for IRQs */
 #define CONFIG_MISC_INIT_R
 
 #define CONFIG_CMDLINE_TAG		1	/* enable passing of ATAGs */
diff --git a/include/configs/tam3517-common.h b/include/configs/tam3517-common.h
index 057f173..3711859 100644
--- a/include/configs/tam3517-common.h
+++ b/include/configs/tam3517-common.h
@@ -42,7 +42,6 @@
 
 #define CONFIG_SYS_CACHELINE_SIZE	64
 
-#undef CONFIG_USE_IRQ				/* no support for IRQs */
 #define CONFIG_MISC_INIT_R
 
 #define CONFIG_CMDLINE_TAG			/* enable passing of ATAGs */
diff --git a/include/configs/tricorder.h b/include/configs/tricorder.h
index 79de4f3..42b80cc 100644
--- a/include/configs/tricorder.h
+++ b/include/configs/tricorder.h
@@ -57,7 +57,6 @@
  */
 #define CONFIG_SYS_TEXT_BASE		0x80100000
 
-#undef CONFIG_USE_IRQ			/* no support for IRQs */
 #define CONFIG_MISC_INIT_R
 
 #define CONFIG_CMDLINE_TAG		/* enable passing of ATAGs */