diff --git a/include/configs/am3517_crane.h b/include/configs/am3517_crane.h
index f113afc..d150b98 100644
--- a/include/configs/am3517_crane.h
+++ b/include/configs/am3517_crane.h
@@ -42,8 +42,6 @@
  */
 #define CONFIG_OMAP3_AM3517CRANE	/* working with CRANEBOARD */
 
-#define CONFIG_MISC_INIT_R
-
 #define CONFIG_CMDLINE_TAG		1	/* enable passing of ATAGs */
 #define CONFIG_SETUP_MEMORY_TAGS	1
 #define CONFIG_INITRD_TAG		1
diff --git a/include/configs/am3517_evm.h b/include/configs/am3517_evm.h
index 51cab37..26436f8 100644
--- a/include/configs/am3517_evm.h
+++ b/include/configs/am3517_evm.h
@@ -42,8 +42,6 @@
  */
 #define CONFIG_OMAP3_AM3517EVM		/* working with AM3517EVM */
 
-#define CONFIG_MISC_INIT_R
-
 #define CONFIG_CMDLINE_TAG		1	/* enable passing of ATAGs */
 #define CONFIG_SETUP_MEMORY_TAGS	1
 #define CONFIG_INITRD_TAG		1
diff --git a/include/configs/cm_t35.h b/include/configs/cm_t35.h
index 3a151fc..87efb69 100644
--- a/include/configs/cm_t35.h
+++ b/include/configs/cm_t35.h
@@ -51,8 +51,6 @@
 
 #define CONFIG_SYS_TEXT_BASE	0x80008000
 
-#define CONFIG_MISC_INIT_R
-
 #define CONFIG_OF_LIBFDT		1
 /*
  * The early kernel mapping on ARM currently only maps from the base of DRAM
diff --git a/include/configs/devkit8000.h b/include/configs/devkit8000.h
index 972940f..9cc80d6 100644
--- a/include/configs/devkit8000.h
+++ b/include/configs/devkit8000.h
@@ -56,8 +56,6 @@
  */
 #define CONFIG_SYS_TEXT_BASE	0x80100000
 
-#define CONFIG_MISC_INIT_R
-
 #define CONFIG_CMDLINE_TAG		1	/* enable passing of ATAGs */
 #define CONFIG_SETUP_MEMORY_TAGS	1
 #define CONFIG_INITRD_TAG		1
diff --git a/include/configs/dig297.h b/include/configs/dig297.h
index ca17d6e..d1f7ca0 100644
--- a/include/configs/dig297.h
+++ b/include/configs/dig297.h
@@ -58,8 +58,6 @@
 
 #define CONFIG_SYS_TEXT_BASE	0x80008000
 
-#define CONFIG_MISC_INIT_R
-
 #define CONFIG_CMDLINE_TAG			/* enable passing of ATAGs */
 #define CONFIG_SETUP_MEMORY_TAGS
 #define CONFIG_INITRD_TAG
diff --git a/include/configs/igep00x0.h b/include/configs/igep00x0.h
index c4feba2..1d8ddbf 100644
--- a/include/configs/igep00x0.h
+++ b/include/configs/igep00x0.h
@@ -39,8 +39,6 @@
  * Other configuration options
  */
 
-#define CONFIG_MISC_INIT_R
-
 #define CONFIG_CMDLINE_TAG		1	/* enable passing of ATAGs */
 #define CONFIG_SETUP_MEMORY_TAGS	1
 #define CONFIG_INITRD_TAG		1
diff --git a/include/configs/mcx.h b/include/configs/mcx.h
index 02793e5..13cf6c0 100644
--- a/include/configs/mcx.h
+++ b/include/configs/mcx.h
@@ -51,8 +51,6 @@
  */
 #define CONFIG_SYS_TEXT_BASE		0x80008000
 
-#define CONFIG_MISC_INIT_R
-
 #define CONFIG_CMDLINE_TAG			/* enable passing of ATAGs */
 #define CONFIG_SETUP_MEMORY_TAGS
 #define CONFIG_INITRD_TAG
diff --git a/include/configs/omap3_beagle.h b/include/configs/omap3_beagle.h
index eefada2..98d528a 100644
--- a/include/configs/omap3_beagle.h
+++ b/include/configs/omap3_beagle.h
@@ -45,8 +45,6 @@
  */
 #define CONFIG_OMAP3_BEAGLE		/* working with BEAGLE */
 
-#define CONFIG_MISC_INIT_R
-
 #define CONFIG_OF_LIBFDT		1
 
 #define CONFIG_CMDLINE_TAG		1	/* enable passing of ATAGs */
diff --git a/include/configs/omap3_common.h b/include/configs/omap3_common.h
index e2c3a38..9130ebe 100644
--- a/include/configs/omap3_common.h
+++ b/include/configs/omap3_common.h
@@ -52,4 +52,7 @@
 /* no support for IRQs */
 #undef CONFIG_USE_IRQ
 
+/* Portions of the init sequence that we want */
+#define CONFIG_MISC_INIT_R
+
 #endif /* __CONFIG_OMAP3_COMMON_H */
diff --git a/include/configs/omap3_evm_common.h b/include/configs/omap3_evm_common.h
index c207693..f24c9b9 100644
--- a/include/configs/omap3_evm_common.h
+++ b/include/configs/omap3_evm_common.h
@@ -200,8 +200,6 @@
 #define CONFIG_SYS_PROMPT_HUSH_PS2	"> "
 #define CONFIG_SYS_MAXARGS		16	/* max args for a command */
 
-#define CONFIG_MISC_INIT_R
-
 #define CONFIG_CMDLINE_TAG			/* enable passing of ATAGs */
 #define CONFIG_SETUP_MEMORY_TAGS
 #define CONFIG_INITRD_TAG
diff --git a/include/configs/omap3_logic.h b/include/configs/omap3_logic.h
index 6f327ad..5443a0f 100644
--- a/include/configs/omap3_logic.h
+++ b/include/configs/omap3_logic.h
@@ -46,8 +46,6 @@
 
 #define CONFIG_SYS_TEXT_BASE	0x80400000
 
-#define CONFIG_MISC_INIT_R		/* misc_init_r dumps the die id */
-
 #define CONFIG_CMDLINE_TAG			/* enable passing of ATAGs */
 #define CONFIG_SETUP_MEMORY_TAGS
 #define CONFIG_INITRD_TAG
diff --git a/include/configs/omap3_mvblx.h b/include/configs/omap3_mvblx.h
index b179df2..b44ea31 100644
--- a/include/configs/omap3_mvblx.h
+++ b/include/configs/omap3_mvblx.h
@@ -49,8 +49,6 @@
 #define CONFIG_MVBLX			/* working with mvBlueLYNX-X */
 #define CONFIG_MACH_TYPE		MACH_TYPE_MVBLX
 
-#define CONFIG_MISC_INIT_R
-
 #define CONFIG_OF_LIBFDT		1
 
 #define CONFIG_CMDLINE_TAG		1	/* enable passing of ATAGs */
diff --git a/include/configs/omap3_overo.h b/include/configs/omap3_overo.h
index e3b803c..d9a695a 100644
--- a/include/configs/omap3_overo.h
+++ b/include/configs/omap3_overo.h
@@ -36,8 +36,6 @@
  */
 #define CONFIG_OMAP3_OVERO		/* working with overo */
 
-#define CONFIG_MISC_INIT_R
-
 #define CONFIG_CMDLINE_TAG			/* enable passing of ATAGs */
 #define CONFIG_SETUP_MEMORY_TAGS
 #define CONFIG_INITRD_TAG
diff --git a/include/configs/omap3_pandora.h b/include/configs/omap3_pandora.h
index 048d983..3887d63 100644
--- a/include/configs/omap3_pandora.h
+++ b/include/configs/omap3_pandora.h
@@ -40,8 +40,6 @@
  */
 #define CONFIG_OMAP3_PANDORA		/* working with pandora */
 
-#define CONFIG_MISC_INIT_R
-
 #define CONFIG_CMDLINE_TAG		1	/* enable passing of ATAGs */
 #define CONFIG_SETUP_MEMORY_TAGS	1
 #define CONFIG_INITRD_TAG		1
diff --git a/include/configs/omap3_sdp3430.h b/include/configs/omap3_sdp3430.h
index 4689ebd..6a17e11 100644
--- a/include/configs/omap3_sdp3430.h
+++ b/include/configs/omap3_sdp3430.h
@@ -56,8 +56,6 @@
  */
 #define CONFIG_OMAP3_3430SDP		/* working with SDP Rev2 */
 
-#define CONFIG_MISC_INIT_R
-
 #define CONFIG_CMDLINE_TAG		1	/* enable passing of ATAGs */
 #define CONFIG_SETUP_MEMORY_TAGS	1
 #define CONFIG_INITRD_TAG		1
diff --git a/include/configs/omap3_zoom1.h b/include/configs/omap3_zoom1.h
index 606e63f..6001a0c 100644
--- a/include/configs/omap3_zoom1.h
+++ b/include/configs/omap3_zoom1.h
@@ -46,8 +46,6 @@
  */
 #define CONFIG_OMAP3_ZOOM1		/* working with Zoom MDK Rev1 */
 
-#define CONFIG_MISC_INIT_R
-
 #define CONFIG_CMDLINE_TAG		1	/* enable passing of ATAGs */
 #define CONFIG_SETUP_MEMORY_TAGS	1
 #define CONFIG_INITRD_TAG		1
diff --git a/include/configs/omap3_zoom2.h b/include/configs/omap3_zoom2.h
index 0a4c0ee..5680a14 100644
--- a/include/configs/omap3_zoom2.h
+++ b/include/configs/omap3_zoom2.h
@@ -47,8 +47,6 @@
  */
 #define CONFIG_OMAP3_ZOOM2		/* working with Zoom II */
 
-#define CONFIG_MISC_INIT_R
-
 #define CONFIG_CMDLINE_TAG		1	/* enable passing of ATAGs */
 #define CONFIG_SETUP_MEMORY_TAGS	1
 #define CONFIG_INITRD_TAG		1
diff --git a/include/configs/tam3517-common.h b/include/configs/tam3517-common.h
index 3711859..2f75273 100644
--- a/include/configs/tam3517-common.h
+++ b/include/configs/tam3517-common.h
@@ -42,8 +42,6 @@
 
 #define CONFIG_SYS_CACHELINE_SIZE	64
 
-#define CONFIG_MISC_INIT_R
-
 #define CONFIG_CMDLINE_TAG			/* enable passing of ATAGs */
 #define CONFIG_SETUP_MEMORY_TAGS
 #define CONFIG_INITRD_TAG
diff --git a/include/configs/tricorder.h b/include/configs/tricorder.h
index 42b80cc..e185b0c 100644
--- a/include/configs/tricorder.h
+++ b/include/configs/tricorder.h
@@ -57,8 +57,6 @@
  */
 #define CONFIG_SYS_TEXT_BASE		0x80100000
 
-#define CONFIG_MISC_INIT_R
-
 #define CONFIG_CMDLINE_TAG		/* enable passing of ATAGs */
 #define CONFIG_SETUP_MEMORY_TAGS
 #define CONFIG_INITRD_TAG