diff --git a/include/configs/am3517_crane.h b/include/configs/am3517_crane.h
index d150b98..d0b5cc0 100644
--- a/include/configs/am3517_crane.h
+++ b/include/configs/am3517_crane.h
@@ -42,11 +42,6 @@
  */
 #define CONFIG_OMAP3_AM3517CRANE	/* working with CRANEBOARD */
 
-#define CONFIG_CMDLINE_TAG		1	/* enable passing of ATAGs */
-#define CONFIG_SETUP_MEMORY_TAGS	1
-#define CONFIG_INITRD_TAG		1
-#define CONFIG_REVISION_TAG		1
-
 /*
  * Size of malloc() pool
  */
diff --git a/include/configs/am3517_evm.h b/include/configs/am3517_evm.h
index 26436f8..da6a000 100644
--- a/include/configs/am3517_evm.h
+++ b/include/configs/am3517_evm.h
@@ -42,11 +42,6 @@
  */
 #define CONFIG_OMAP3_AM3517EVM		/* working with AM3517EVM */
 
-#define CONFIG_CMDLINE_TAG		1	/* enable passing of ATAGs */
-#define CONFIG_SETUP_MEMORY_TAGS	1
-#define CONFIG_INITRD_TAG		1
-#define CONFIG_REVISION_TAG		1
-
 /*
  * Size of malloc() pool
  */
diff --git a/include/configs/cm_t35.h b/include/configs/cm_t35.h
index 87efb69..9330442 100644
--- a/include/configs/cm_t35.h
+++ b/include/configs/cm_t35.h
@@ -36,6 +36,7 @@
  * Values that differ from platform defaults or are unspecified.
  */
 #define CONFIG_SDRC			/* The chip has SDRC controller */
+#define CONFIG_SERIAL_TAG		/* Add SERIAL ATAG */
 
 /* Platform defaults */
 #include <configs/omap3_common.h>
@@ -51,7 +52,6 @@
 
 #define CONFIG_SYS_TEXT_BASE	0x80008000
 
-#define CONFIG_OF_LIBFDT		1
 /*
  * The early kernel mapping on ARM currently only maps from the base of DRAM
  * to the end of the kernel image.  The kernel is loaded at DRAM base + 0x8000.
@@ -60,12 +60,6 @@
  */
 #define CONFIG_SYS_BOOTMAPSZ	        0x4000
 
-#define CONFIG_CMDLINE_TAG		/* enable passing of ATAGs */
-#define CONFIG_SETUP_MEMORY_TAGS
-#define CONFIG_INITRD_TAG
-#define CONFIG_REVISION_TAG
-#define CONFIG_SERIAL_TAG
-
 /*
  * Size of malloc() pool
  */
diff --git a/include/configs/devkit8000.h b/include/configs/devkit8000.h
index 9cc80d6..b792b40 100644
--- a/include/configs/devkit8000.h
+++ b/include/configs/devkit8000.h
@@ -56,13 +56,6 @@
  */
 #define CONFIG_SYS_TEXT_BASE	0x80100000
 
-#define CONFIG_CMDLINE_TAG		1	/* enable passing of ATAGs */
-#define CONFIG_SETUP_MEMORY_TAGS	1
-#define CONFIG_INITRD_TAG		1
-#define CONFIG_REVISION_TAG		1
-
-#define CONFIG_OF_LIBFDT		1
-
 /* Size of malloc() pool */
 #define CONFIG_ENV_SIZE			(128 << 10)	/* 128 KiB */
 						/* Sector */
diff --git a/include/configs/dig297.h b/include/configs/dig297.h
index d1f7ca0..41b3e7c 100644
--- a/include/configs/dig297.h
+++ b/include/configs/dig297.h
@@ -58,11 +58,6 @@
 
 #define CONFIG_SYS_TEXT_BASE	0x80008000
 
-#define CONFIG_CMDLINE_TAG			/* enable passing of ATAGs */
-#define CONFIG_SETUP_MEMORY_TAGS
-#define CONFIG_INITRD_TAG
-#define CONFIG_REVISION_TAG
-
 /*
  * Size of malloc() pool
  */
diff --git a/include/configs/igep00x0.h b/include/configs/igep00x0.h
index 1d8ddbf..770a471 100644
--- a/include/configs/igep00x0.h
+++ b/include/configs/igep00x0.h
@@ -39,13 +39,6 @@
  * Other configuration options
  */
 
-#define CONFIG_CMDLINE_TAG		1	/* enable passing of ATAGs */
-#define CONFIG_SETUP_MEMORY_TAGS	1
-#define CONFIG_INITRD_TAG		1
-#define CONFIG_REVISION_TAG		1
-
-#define CONFIG_OF_LIBFDT		1
-
 /*
  * NS16550 Configuration
  */
diff --git a/include/configs/mcx.h b/include/configs/mcx.h
index 13cf6c0..6c306bc 100644
--- a/include/configs/mcx.h
+++ b/include/configs/mcx.h
@@ -42,7 +42,6 @@
 
 #define CONFIG_SYS_CACHELINE_SIZE	64
 
-#define CONFIG_OF_LIBFDT
 #define CONFIG_FIT
 
 /*
@@ -51,11 +50,6 @@
  */
 #define CONFIG_SYS_TEXT_BASE		0x80008000
 
-#define CONFIG_CMDLINE_TAG			/* enable passing of ATAGs */
-#define CONFIG_SETUP_MEMORY_TAGS
-#define CONFIG_INITRD_TAG
-#define CONFIG_REVISION_TAG
-
 /*
  * Size of malloc() pool
  */
diff --git a/include/configs/omap3_beagle.h b/include/configs/omap3_beagle.h
index 98d528a..06f1a66 100644
--- a/include/configs/omap3_beagle.h
+++ b/include/configs/omap3_beagle.h
@@ -45,13 +45,6 @@
  */
 #define CONFIG_OMAP3_BEAGLE		/* working with BEAGLE */
 
-#define CONFIG_OF_LIBFDT		1
-
-#define CONFIG_CMDLINE_TAG		1	/* enable passing of ATAGs */
-#define CONFIG_SETUP_MEMORY_TAGS	1
-#define CONFIG_INITRD_TAG		1
-#define CONFIG_REVISION_TAG		1
-
 /*
  * Size of malloc() pool
  */
diff --git a/include/configs/omap3_common.h b/include/configs/omap3_common.h
index 9130ebe..cc0f5fb 100644
--- a/include/configs/omap3_common.h
+++ b/include/configs/omap3_common.h
@@ -55,4 +55,11 @@
 /* Portions of the init sequence that we want */
 #define CONFIG_MISC_INIT_R
 
+/* Enable support for both device trees and ATAGS */
+#define CONFIG_OF_LIBFDT
+#define CONFIG_CMDLINE_TAG
+#define CONFIG_SETUP_MEMORY_TAGS
+#define CONFIG_INITRD_TAG
+#define CONFIG_REVISION_TAG
+
 #endif /* __CONFIG_OMAP3_COMMON_H */
diff --git a/include/configs/omap3_evm_common.h b/include/configs/omap3_evm_common.h
index f24c9b9..af1e5dc 100644
--- a/include/configs/omap3_evm_common.h
+++ b/include/configs/omap3_evm_common.h
@@ -200,11 +200,6 @@
 #define CONFIG_SYS_PROMPT_HUSH_PS2	"> "
 #define CONFIG_SYS_MAXARGS		16	/* max args for a command */
 
-#define CONFIG_CMDLINE_TAG			/* enable passing of ATAGs */
-#define CONFIG_SETUP_MEMORY_TAGS
-#define CONFIG_INITRD_TAG
-#define CONFIG_REVISION_TAG
-
 /* Size of Console IO buffer */
 #define CONFIG_SYS_CBSIZE		512
 
diff --git a/include/configs/omap3_logic.h b/include/configs/omap3_logic.h
index 5443a0f..0e698c3 100644
--- a/include/configs/omap3_logic.h
+++ b/include/configs/omap3_logic.h
@@ -46,11 +46,6 @@
 
 #define CONFIG_SYS_TEXT_BASE	0x80400000
 
-#define CONFIG_CMDLINE_TAG			/* enable passing of ATAGs */
-#define CONFIG_SETUP_MEMORY_TAGS
-#define CONFIG_INITRD_TAG
-#define CONFIG_REVISION_TAG
-
 #define CONFIG_CMDLINE_EDITING			/* cmd line edit/history */
 #define CONFIG_ZERO_BOOTDELAY_CHECK		/* check keypress w/no delay */
 
diff --git a/include/configs/omap3_mvblx.h b/include/configs/omap3_mvblx.h
index b44ea31..2ff57cd 100644
--- a/include/configs/omap3_mvblx.h
+++ b/include/configs/omap3_mvblx.h
@@ -35,6 +35,7 @@
  * Values that differ from platform defaults or are unspecified.
  */
 #define CONFIG_SDRC			/* The chip has SDRC controller */
+#define CONFIG_SERIAL_TAG		/* Add SERIAL ATAG */
 
 /* Platform defaults */
 #include <configs/omap3_common.h>
@@ -49,14 +50,6 @@
 #define CONFIG_MVBLX			/* working with mvBlueLYNX-X */
 #define CONFIG_MACH_TYPE		MACH_TYPE_MVBLX
 
-#define CONFIG_OF_LIBFDT		1
-
-#define CONFIG_CMDLINE_TAG		1	/* enable passing of ATAGs */
-#define CONFIG_SETUP_MEMORY_TAGS	1
-#define CONFIG_INITRD_TAG		1
-#define CONFIG_REVISION_TAG		1
-#define CONFIG_SERIAL_TAG		1
-
 /*
  * Size of malloc() pool
  */
diff --git a/include/configs/omap3_overo.h b/include/configs/omap3_overo.h
index d9a695a..a19e22d 100644
--- a/include/configs/omap3_overo.h
+++ b/include/configs/omap3_overo.h
@@ -36,13 +36,6 @@
  */
 #define CONFIG_OMAP3_OVERO		/* working with overo */
 
-#define CONFIG_CMDLINE_TAG			/* enable passing of ATAGs */
-#define CONFIG_SETUP_MEMORY_TAGS
-#define CONFIG_INITRD_TAG
-#define CONFIG_REVISION_TAG
-
-#define CONFIG_OF_LIBFDT
-
 /*
  * Size of malloc() pool
  */
diff --git a/include/configs/omap3_pandora.h b/include/configs/omap3_pandora.h
index 3887d63..0ee91bb 100644
--- a/include/configs/omap3_pandora.h
+++ b/include/configs/omap3_pandora.h
@@ -40,13 +40,6 @@
  */
 #define CONFIG_OMAP3_PANDORA		/* working with pandora */
 
-#define CONFIG_CMDLINE_TAG		1	/* enable passing of ATAGs */
-#define CONFIG_SETUP_MEMORY_TAGS	1
-#define CONFIG_INITRD_TAG		1
-#define CONFIG_REVISION_TAG		1
-
-#define CONFIG_OF_LIBFDT		1
-
 /*
  * Size of malloc() pool
  */
diff --git a/include/configs/omap3_sdp3430.h b/include/configs/omap3_sdp3430.h
index 6a17e11..b70e9b9 100644
--- a/include/configs/omap3_sdp3430.h
+++ b/include/configs/omap3_sdp3430.h
@@ -56,13 +56,6 @@
  */
 #define CONFIG_OMAP3_3430SDP		/* working with SDP Rev2 */
 
-#define CONFIG_CMDLINE_TAG		1	/* enable passing of ATAGs */
-#define CONFIG_SETUP_MEMORY_TAGS	1
-#define CONFIG_INITRD_TAG		1
-#define CONFIG_REVISION_TAG		1
-
-#define CONFIG_OF_LIBFDT		1
-
 /*
  * Size of malloc() pool
  * Total Size Environment - 256k
diff --git a/include/configs/omap3_zoom1.h b/include/configs/omap3_zoom1.h
index 6001a0c..56585fb 100644
--- a/include/configs/omap3_zoom1.h
+++ b/include/configs/omap3_zoom1.h
@@ -46,13 +46,6 @@
  */
 #define CONFIG_OMAP3_ZOOM1		/* working with Zoom MDK Rev1 */
 
-#define CONFIG_CMDLINE_TAG		1	/* enable passing of ATAGs */
-#define CONFIG_SETUP_MEMORY_TAGS	1
-#define CONFIG_INITRD_TAG		1
-#define CONFIG_REVISION_TAG		1
-
-#define CONFIG_OF_LIBFDT		1
-
 /*
  * Size of malloc() pool
  */
diff --git a/include/configs/omap3_zoom2.h b/include/configs/omap3_zoom2.h
index 5680a14..e199b7a 100644
--- a/include/configs/omap3_zoom2.h
+++ b/include/configs/omap3_zoom2.h
@@ -47,13 +47,6 @@
  */
 #define CONFIG_OMAP3_ZOOM2		/* working with Zoom II */
 
-#define CONFIG_CMDLINE_TAG		1	/* enable passing of ATAGs */
-#define CONFIG_SETUP_MEMORY_TAGS	1
-#define CONFIG_INITRD_TAG		1
-#define CONFIG_REVISION_TAG		1
-
-#define CONFIG_OF_LIBFDT		1
-
 /*
  * Size of malloc() pool
  */
diff --git a/include/configs/tam3517-common.h b/include/configs/tam3517-common.h
index 2f75273..fb0833c 100644
--- a/include/configs/tam3517-common.h
+++ b/include/configs/tam3517-common.h
@@ -42,11 +42,6 @@
 
 #define CONFIG_SYS_CACHELINE_SIZE	64
 
-#define CONFIG_CMDLINE_TAG			/* enable passing of ATAGs */
-#define CONFIG_SETUP_MEMORY_TAGS
-#define CONFIG_INITRD_TAG
-#define CONFIG_REVISION_TAG
-
 /*
  * Size of malloc() pool
  */
@@ -275,7 +270,6 @@
 #define CONFIG_SYS_NAND_U_BOOT_OFFS	0x80000
 #define CONFIG_SYS_NAND_U_BOOT_SIZE	0x80000
 
-#define CONFIG_OF_LIBFDT
 #define CONFIG_FIT
 #define CONFIG_CMD_UBI
 #define CONFIG_CMD_UBIFS
diff --git a/include/configs/tricorder.h b/include/configs/tricorder.h
index e185b0c..5d7d189 100644
--- a/include/configs/tricorder.h
+++ b/include/configs/tricorder.h
@@ -57,13 +57,6 @@
  */
 #define CONFIG_SYS_TEXT_BASE		0x80100000
 
-#define CONFIG_CMDLINE_TAG		/* enable passing of ATAGs */
-#define CONFIG_SETUP_MEMORY_TAGS
-#define CONFIG_INITRD_TAG
-#define CONFIG_REVISION_TAG
-
-#define CONFIG_OF_LIBFDT
-
 /* Size of malloc() pool */
 #define CONFIG_ENV_SIZE			(128 << 10)	/* 128 KiB */
 						/* Sector */